IBM Support

Security Bulletin: IBM Worklight is affected by the following OpenSSL vulnerabilities: CVE-2014-0224, CVE-2014-3470 and CVE-2014-0076

Security Bulletin


Summary

Security vulnerabilities have been discovered in OpenSSL that were reported on June 5, 2014 by the OpenSSL Project.

Vulnerability Details

CVE-ID: CVE-2014-0224

DESCRIPTION: OpenSSL is vulnerable to a man-in-the-middle attack, which is caused by the use of weak keying material in SSL/TLS clients and servers. A remote attacker might exploit this vulnerability using a specially-crafted handshake to conduct man-in-the-middle attacks to decrypt and modify traffic.

CVSS Base Score: 5.8

CVSS Temporal Score: See https://exchange.xforce.ibmcloud.com/vulnerabilities/93586 for the current score

CVSS Environmental Score*: Undefined

CVSS Vector: (AV:N/AC:M/Au:N/C:P/I:P/A:N)




CVE-ID: CVE-2014-3470

DESCRIPTION: OpenSSL is vulnerable to a denial of service, which is caused by the implementation of anonymous ECDH ciphersuites. A remote attacker might exploit this vulnerability to cause a denial of service.

CVSS Base Score: 4.3

CVSS Temporal Score: See https://exchange.xforce.ibmcloud.com/vulnerabilities/93589 for the current score

CVSS Environmental Score*: Undefined

CVSS Vector: (AV:N/AC:M/Au:N/C:N/I:N/A:P)




CVE-ID: CVE-2014-0076

DESCRIPTION: OpenSSL might allow a local attacker to obtain sensitive information, which is caused by an implementation error in the Elliptic Curve Digital Signature Algorithm (ECDSA). An attacker might exploit this vulnerability using the FLUSH+RELOAD cache side-channel attack to recover ECDSA nonces.

CVSS Base Score: 2.1

CVSS Temporal Score: See https://exchange.xforce.ibmcloud.com/vulnerabilities/91990

CVSS Environmental Score*: Undefined

CVSS Vector: (AV:L/AC:L/Au:N/C:P/I:N/A:N)

Affected Products and Versions

The issue affects the following products:

  • IBM Worklight Consumer Edition Versions 6.1.0.0 and 6.1.0 Fix Pack 1
  • IBM Worklight Enterprise Edition Versions 6.1.0.0 and 6.1.0 Fix Pack 1

Remediation/Fixes

The interim fixes are available through the following links:

The fix is also targeted for a future IBM Worklight 6.1 fix pack.

Workarounds and Mitigations

None known

Get Notified about Future Security Bulletins

References

Complete CVSS v2 Guide
On-line Calculator v2

Related information

IBM Secure Engineering Web Portal
IBM Product Security Incident Response Blog

Acknowledgement

None

Change History

19 June 2014: Original Version Published

*The CVSS Environment Score is customer environment specific and will ultimately impact the Overall CVSS Score. Customers can evaluate the impact of this vulnerability in their environments by accessing the links in the Reference section of this Security Bulletin.

Disclaimer

According to the Forum of Incident Response and Security Teams (FIRST), the Common Vulnerability Scoring System (CVSS) is an "industry open standard designed to convey vulnerability severity and help to determine urgency and priority of response." IBM PROVIDES THE CVSS SCORES "AS IS" WITHOUT WARRANTY OF ANY KIND, INCLUDING THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. CUSTOMERS ARE RESPONSIBLE FOR ASSESSING THE IMPACT OF ANY ACTUAL OR POTENTIAL SECURITY VULNERABILITY.

Document information

More support for: IBM Worklight
Security

Software version: 6.1, 6.1.0.1

Operating system(s): Android, iOS

Software edition: Consumer, Enterprise

Reference #: 1676501

Modified date: 19 June 2014


Translate this page: